Number of records skipped to reach the current page
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Cadana Developers","colors":{"primary":"#FF5C21","light":"#FFD4C4","dark":"#943110"},"logo":{"light":"https://mintcdn.com/cadanainc/8_xouL-QgxN_iY80/logo/light.svg?fit=max\u0026auto=format\u0026n=8_xouL-QgxN_iY80\u0026q=85\u0026s=b8565df0d54458c28af04c610c888363","dark":"https://mintcdn.com/cadanainc/8_xouL-QgxN_iY80/logo/dark.svg?fit=max\u0026auto=format\u0026n=8_xouL-QgxN_iY80\u0026q=85\u0026s=fced023cb5f7a1ef1fe58f24aa77c5e2"},"favicon":"https://mintcdn.com/cadanainc/u1b9MWhi7U7FZQhA/favicon.png?fit=max\u0026auto=format\u0026n=u1b9MWhi7U7FZQhA\u0026q=85\u0026s=f0ef4be6990d7ae07d33e9f68b1ef4b8","api":{"playground":{"display":"interactive"},"examples":{"prefill":true}},"navbar":{"links":[{"href":"mailto:support@cadanapay.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.cadanapay.com"}},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":"introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cadanainc","hasAudioNarration":false,"actualSubdomain":"cadanainc","customDomains":["docs.cadanapay.com"],"gitSource":{"type":"github","owner":"cadanapay","repo":"developer-docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae1ed99201cdb70a5222c67","collectionId":"66c17cc4-3c5c-4f49-a95c-d3453f48bf2d","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae1ed99201cdb70a5222c67"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae1ed99201cdb70a5222c67","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"en","tag":"API Reference","count":164},{"language":"en","tag":"Workforce API","count":99},{"language":"en","tag":"Documentation","count":59},{"language":"en","tag":"Statutory Compliance API","count":23},{"language":"en","tag":"Payroll \u0026 Compliance","count":20},{"language":"en","tag":"Payments API","count":20},{"language":"en","tag":"Persons","count":14},{"language":"en","tag":"Users","count":14},{"language":"en","tag":"Workforce Management","count":12},{"language":"en","tag":"Treasury","count":11}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"reference/pagination","slug":"/reference/pagination","pageMetadata":{"title":"Pagination","description":"How to paginate through list endpoints","href":"/reference/pagination"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"How to paginate through list endpoints\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,hr:`hr`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Collection endpoints return paginated results using offset pagination. Pass `,_jsx(_components.code,{children:`page`}),` and `,_jsx(_components.code,{children:`limit`}),` as query parameters.`]}),`\n`,_jsx(CodeBlock,{filename:`Bash`,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://api.cadanapay.com/v1/persons?page=1\u0026limit=20'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization: Bearer YOUR_API_KEY'`})]}),`\n`]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Parameter`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Type`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Default`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`page`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`integer`}),_jsx(_components.td,{\"data-numeric\":`true`,style:{textAlign:`left`},children:_jsx(_components.code,{children:`1`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`Page number to retrieve (starts at 1)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`limit`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`integer`}),_jsx(_components.td,{\"data-numeric\":`true`,style:{textAlign:`left`},children:_jsx(_components.code,{children:`20`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`Items per page (1–100)`})]})]})]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`response-format`,children:`Response Format`}),`\n`,_jsxs(_components.p,{children:[`All list endpoints return a `,_jsx(_components.code,{children:`data`}),` array and a `,_jsx(_components.code,{children:`meta`}),` object:`]}),`\n`,_jsx(CodeBlock,{filename:`JSON`,numberOfLines:`13`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"7dd569f9-bd54-4fbb-a5c2-f0aaadc68adf\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3fa85f64-5717-4562-b3fc-2c963f66afa6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"meta\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`20`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currentPage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"itemCount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`45`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pages\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"skipped\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`meta-fields`,children:`Meta Fields`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Field`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Type`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`limit`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`number`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Items per page (from request, default 20)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`currentPage`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`number`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Current page number`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`itemCount`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`number`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Total items across all pages`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`pages`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`number`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Total number of pages`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`skipped`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`number`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Number of records skipped to reach the current page`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Pagination","description":"How to paginate through list endpoints","href":"/reference/pagination"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Request Parameters","slug":"request-parameters","depth":2,"children":[]},{"title":"Response Format","slug":"response-format","depth":2,"children":[]},{"title":"Meta Fields","slug":"meta-fields","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"cadanainc","siteName":"Cadana Developers","title":"Pagination - Cadana Developers","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/reference/pagination","matchLevel":0}}},"lastModified":"2026-02-17T14:59:31.638Z","originalFileLocation":"reference/pagination.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"How to paginate through list endpoints\">\u003cmeta data-mint-head name=\"application-name\" content=\"Cadana Developers\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Pagination - Cadana Developers\">\u003cmeta data-mint-head property=\"og:description\" content=\"How to paginate through list endpoints\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cadana Developers\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.cadanapay.com/reference/pagination\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cadanainc.mintlify.app/_mintlify/api/og/v2?division=Overview\u0026amp;title=Pagination\u0026amp;description=How+to+paginate+through+list+endpoints\u0026amp;theme=86a2734624b1f53a8b1e0c90\u0026amp;signature=c3e5bf1217459b37a8e2363db68267b9969025d085a134277665655df9738b3e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Pagination - Cadana Developers\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"How to paginate through list endpoints\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cadanainc.mintlify.app/_mintlify/api/og/v2?division=Overview\u0026amp;title=Pagination\u0026amp;description=How+to+paginate+through+list+endpoints\u0026amp;theme=86a2734624b1f53a8b1e0c90\u0026amp;signature=c3e5bf1217459b37a8e2363db68267b9969025d085a134277665655df9738b3e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cadana Developers\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF5C21\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.cadanapay.com/reference/pagination\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/pagination.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.cadanapay.com/#organization\",\"name\":\"Cadana Developers\",\"url\":\"https://docs.cadanapay.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cadanainc/8_xouL-QgxN_iY80/logo/light.svg?fit=max\u0026auto=format\u0026n=8_xouL-QgxN_iY80\u0026q=85\u0026s=b8565df0d54458c28af04c610c888363\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.cadanapay.com#website\",\"name\":\"Cadana Developers\",\"url\":\"https://docs.cadanapay.com\",\"publisher\":{\"@id\":\"https://docs.cadanapay.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.cadanapay.com/reference/pagination#webpage\",\"url\":\"https://docs.cadanapay.com/reference/pagination\",\"name\":\"Pagination\",\"description\":\"How to paginate through list endpoints\",\"dateModified\":\"2026-02-17T14:59:31.638Z\",\"isPartOf\":{\"@id\":\"https://docs.cadanapay.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.cadanapay.com/reference/pagination#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.cadanapay.com/reference/pagination#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Overview\",\"item\":\"https://docs.cadanapay.com/reference/api-overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Pagination\",\"item\":\"https://docs.cadanapay.com/reference/pagination\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.cadanapay.com/reference/pagination#article\",\"headline\":\"Pagination\",\"name\":\"Pagination\",\"description\":\"How to paginate through list endpoints\",\"url\":\"https://docs.cadanapay.com/reference/pagination\",\"mainEntityOfPage\":{\"@id\":\"https://docs.cadanapay.com/reference/pagination#webpage\"},\"dateModified\":\"2026-02-17T14:59:31.638Z\",\"publisher\":{\"@id\":\"https://docs.cadanapay.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.cadanapay.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cadana Developers\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Cadana Developers","nav":{"global":null,"languages":[{"language":"en","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Overview","href":"/reference/api-overview"},{"title":"Sandbox \u0026 Testing","description":"Testing your integration in the sandbox environment","href":"/reference/sandbox"},{"title":"Pagination","href":"/reference/pagination"},{"title":"Working with Files","description":"Upload and download files for KYC documents, contracts, address proofs, and more","href":"/reference/working-with-files"},{"title":"Webhooks","href":"/reference/webhooks"},{"title":"Events","href":"/reference/events"}]},{"group":"Payments API","pages":[{"group":"Beneficiaries","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/beneficiaries","href":"/api-reference/payments/beneficiaries/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/beneficiaries","href":"/api-reference/payments/beneficiaries/create"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/beneficiaries/{beneficiaryId}","href":"/api-reference/payments/beneficiaries/get"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml delete /v1/beneficiaries/{beneficiaryId}","href":"/api-reference/payments/beneficiaries/delete"},{"title":"Create upload URL","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/files/upload-url","href":"/api-reference/payments/beneficiaries/create-upload-url"},{"title":"Get file details","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/files/{fileId}","href":"/api-reference/payments/beneficiaries/get-file-details"}]},{"group":"Payouts","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/payouts","href":"/api-reference/payments/payouts/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/payouts","href":"/api-reference/payments/payouts/create"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/payouts/{payoutId}","href":"/api-reference/payments/payouts/get"}]},{"group":"Balances","pages":[{"title":"Get account balances","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/businesses/{businessId}/balances","href":"/api-reference/payments/balances/get-account-balances"},{"title":"Get funding details","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/businesses/{businessId}/funding-details","href":"/api-reference/payments/balances/get-funding-details"},{"title":"Create crypto deposit address","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/businesses/{businessId}/crypto-deposit-addresses","href":"/api-reference/payments/balances/create-crypto-deposit-address"}]},{"group":"Resources","pages":[{"title":"Payment corridor requirements","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/payment-requirements","href":"/api-reference/payments/resources/payment-corridor-requirements"},{"title":"Get payout providers","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/providers","href":"/api-reference/payments/resources/get-payout-providers"},{"title":"Resolve bank provider","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/providers/resolve","href":"/api-reference/payments/resources/resolve-bank-provider"},{"title":"Get payment methods","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/payment-methods","href":"/api-reference/payments/resources/get-payment-methods"}]},{"group":"FX","pages":[{"title":"Create FX Quote","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/fx-quotes","href":"/api-reference/payments/fx/create-fx-quote"}]},{"group":"Virtual Accounts","pages":[{"title":"Get Virtual Accounts","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/users/{userId}/virtual-accounts","href":"/api-reference/payments/virtual-accounts/get-virtual-accounts"},{"title":"Create Virtual Account","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/users/{userId}/virtual-accounts","href":"/api-reference/payments/virtual-accounts/create-virtual-account"},{"title":"Simulate virtual account deposit","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/sandbox/users/{userId}/virtual-accounts/{virtualAccountId}/deposit","href":"/api-reference/payments/virtual-accounts/simulate-virtual-account-deposit"}]}]},{"group":"Wallets API","pages":[{"group":"Beneficiaries","pages":[{"title":"List beneficiaries","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/beneficiaries","href":"/api-reference/wallets/beneficiaries/list-beneficiaries"},{"title":"Create beneficiary","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml post /v1/users/{userId}/beneficiaries","href":"/api-reference/wallets/beneficiaries/create-beneficiary"},{"title":"Get beneficiary","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/beneficiaries/{beneficiaryId}","href":"/api-reference/wallets/beneficiaries/get-beneficiary"},{"title":"Delete beneficiary","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml delete /v1/users/{userId}/beneficiaries/{beneficiaryId}","href":"/api-reference/wallets/beneficiaries/delete-beneficiary"}]},{"group":"Transactions","pages":[{"title":"List transactions","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/transactions","href":"/api-reference/wallets/transactions/list-transactions"},{"title":"Create transaction","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml post /v1/users/{userId}/transactions","href":"/api-reference/wallets/transactions/create-transaction"},{"title":"Get transaction","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/transactions/{transactionId}","href":"/api-reference/wallets/transactions/get-transaction"},{"title":"Get user fees","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/fees","href":"/api-reference/wallets/transactions/get-user-fees"}]},{"group":"Balances","pages":[{"title":"Get user wallets balances","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/wallets","href":"/api-reference/wallets/balances/get-user-wallets-balances"}]}]},{"group":"Workforce API","pages":[{"group":"Persons","pages":[{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}","href":"/api-reference/workforce/persons/get"},{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons","href":"/api-reference/workforce/persons/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons","href":"/api-reference/workforce/persons/create"},{"title":"Update basic information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/basicInfo","href":"/api-reference/workforce/persons/update-basic-information"},{"title":"Update personal information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/personalInfo","href":"/api-reference/workforce/persons/update-personal-information"},{"title":"Get tax profile","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/taxProfile","href":"/api-reference/workforce/persons/get-tax-profile"},{"title":"Update tax profile","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/taxProfile","href":"/api-reference/workforce/persons/update-tax-profile"},{"title":"Update job information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/jobInfo","href":"/api-reference/workforce/persons/update-job-information"},{"title":"Get payment information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/paymentInfo","href":"/api-reference/workforce/persons/get-payment-information"},{"title":"Update payment information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/paymentInfo","href":"/api-reference/workforce/persons/update-payment-information"},{"title":"Schedule offboarding","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/offboard","href":"/api-reference/workforce/persons/schedule-offboarding"},{"title":"Cancel offboarding","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/cancelOffboarding","href":"/api-reference/workforce/persons/cancel-offboarding"},{"title":"Reinstate","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/reinstate","href":"/api-reference/workforce/persons/reinstate"},{"title":"Update person type","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/type","href":"/api-reference/workforce/persons/update-person-type"}]},{"group":"Instant Pay","pages":[{"title":"Get instant pay setting","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/ipSetting","href":"/api-reference/workforce/instant-pay/get-instant-pay-setting"},{"title":"Update instant pay setting","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/ipSetting","href":"/api-reference/workforce/instant-pay/update-instant-pay-setting"},{"title":"Get instant pay transactions","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/instantPays","href":"/api-reference/workforce/instant-pay/get-instant-pay-transactions"}]},{"group":"Milestones","pages":[{"title":"List milestones","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/milestones","href":"/api-reference/workforce/milestones/list-milestones"},{"title":"Add milestone","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/milestones","href":"/api-reference/workforce/milestones/add-milestone"},{"title":"Update milestone","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/milestones/{milestoneId}","href":"/api-reference/workforce/milestones/update-milestone"},{"title":"Delete milestone","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/persons/{personId}/milestones/{milestoneId}","href":"/api-reference/workforce/milestones/delete-milestone"},{"title":"Complete milestone","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/milestones/{milestoneId}/complete","href":"/api-reference/workforce/milestones/complete-milestone"}]},{"group":"Custom Auth","pages":[{"title":"JWT","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/auth/login/jwt","href":"/api-reference/workforce/custom-auth/jwt"}]},{"group":"Users","pages":[{"title":"Attach a custom sub","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/users/{userId}/sub","href":"/api-reference/workforce/users/attach-a-custom-sub"},{"title":"Add Admin","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/admins","href":"/api-reference/workforce/users/add-admin"},{"title":"Remove Admin","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/users/admins/{userId}","href":"/api-reference/workforce/users/remove-admin"},{"title":"Invite","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/invite","href":"/api-reference/workforce/users/invite"},{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users","href":"/api-reference/workforce/users/list"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}","href":"/api-reference/workforce/users/get"},{"title":"Get KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}/kyc","href":"/api-reference/workforce/users/get-kyc"},{"title":"Submit KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/{userId}/kyc","href":"/api-reference/workforce/users/submit-kyc"},{"title":"Resubmit KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml patch /v1/users/{userId}/kyc","href":"/api-reference/workforce/users/resubmit-kyc"},{"title":"Renew KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/{userId}/kyc/renewal","href":"/api-reference/workforce/users/renew-kyc"},{"title":"Get Balances","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}/balances","href":"/api-reference/workforce/users/get-balances"},{"title":"Tax Forms","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}/tax-forms","href":"/api-reference/workforce/users/tax-forms"},{"title":"Submit Tax Form","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/{userId}/tax-forms","href":"/api-reference/workforce/users/submit-tax-form"},{"title":"Tax Form Download","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}/tax-forms/{formId}/download","href":"/api-reference/workforce/users/tax-form-download"}]},{"group":"Files","pages":[{"title":"Create upload URL","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/files/upload-url","href":"/api-reference/workforce/files/create-upload-url"},{"title":"Get file details","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/files/{fileId}","href":"/api-reference/workforce/files/get-file-details"}]},{"group":"Payrolls","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/payrolls","href":"/api-reference/workforce/payrolls/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/payrolls","href":"/api-reference/workforce/payrolls/create"},{"title":"Save","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/payrolls/{payrollId}/save","href":"/api-reference/workforce/payrolls/save"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/payrolls/{payrollId}","href":"/api-reference/workforce/payrolls/get"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/payrolls/{payrollId}","href":"/api-reference/workforce/payrolls/delete"},{"title":"Approve","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/payrolls/{payrollId}/approve","href":"/api-reference/workforce/payrolls/approve"},{"title":"Get Payslip Links","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/payrolls/{payrollId}/payslip-links","href":"/api-reference/workforce/payrolls/get-payslip-links"}]},{"group":"Platform","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/platform/businesses","href":"/api-reference/workforce/platform/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/platform/businesses","href":"/api-reference/workforce/platform/create"},{"title":"List Disbursements","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/platform/disbursements","href":"/api-reference/workforce/platform/list-disbursements"},{"title":"Get Disbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/platform/disbursements/{disbursementId}","href":"/api-reference/workforce/platform/get-disbursement"},{"title":"Create Transfer","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/platform/transfers","href":"/api-reference/workforce/platform/create-transfer"},{"title":"Custom Roles","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/permissions/roles","href":"/api-reference/workforce/platform/custom-roles"}]},{"group":"Contracts","pages":[{"title":"List Templates","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/contract-templates","href":"/api-reference/workforce/contracts/list-templates"},{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/contracts","href":"/api-reference/workforce/contracts/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/contracts","href":"/api-reference/workforce/contracts/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/contracts/{contractId}","href":"/api-reference/workforce/contracts/retrieve"},{"title":"Signing URL","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/contracts/{contractId}/signingUrl","href":"/api-reference/workforce/contracts/signing-url"},{"title":"Upload Contract","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/contracts-upload","href":"/api-reference/workforce/contracts/upload-contract"}]},{"group":"Businesses","pages":[{"title":"Get Business","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}","href":"/api-reference/workforce/businesses/get-business"},{"title":"Get Current Identity","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/me","href":"/api-reference/workforce/businesses/get-current-identity"},{"title":"Create Department","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/departments","href":"/api-reference/workforce/businesses/create-department"},{"title":"Update Department","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/businesses/{businessId}/departments/{departmentId}","href":"/api-reference/workforce/businesses/update-department"},{"title":"Create Custom Field","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/customFields","href":"/api-reference/workforce/businesses/create-custom-field"},{"title":"Update Custom Field","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/businesses/{businessId}/customFields/{customFieldId}","href":"/api-reference/workforce/businesses/update-custom-field"}]},{"group":"Treasury","pages":[{"title":"Get Balances","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/balances","href":"/api-reference/workforce/treasury/get-balances"},{"title":"Get Balance Ledger","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/transactions","href":"/api-reference/workforce/treasury/get-balance-ledger"},{"title":"Get Statement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/statement","href":"/api-reference/workforce/treasury/get-statement"},{"title":"Get Funding Details","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/funding-details","href":"/api-reference/workforce/treasury/get-funding-details"},{"title":"Create Deposit","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/deposits","href":"/api-reference/workforce/treasury/create-deposit"},{"title":"Create Crypto Deposit Address","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/crypto-deposit-addresses","href":"/api-reference/workforce/treasury/create-crypto-deposit-address"},{"title":"Create Reserve","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/reserves","href":"/api-reference/workforce/treasury/create-reserve"},{"title":"Generate Withdrawal Link","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/withdrawal/link","href":"/api-reference/workforce/treasury/generate-withdrawal-link"},{"title":"Get External Accounts","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/external-accounts","href":"/api-reference/workforce/treasury/get-external-accounts"},{"title":"Generate External Account Link","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/external-accounts/link","href":"/api-reference/workforce/treasury/generate-external-account-link"},{"title":"Delete External Account","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/businesses/{businessId}/external-accounts/{externalAccountId}","href":"/api-reference/workforce/treasury/delete-external-account"}]},{"group":"KYB","pages":[{"title":"Get KYB","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/kyb","href":"/api-reference/workforce/kyb/get-kyb"},{"title":"Submit KYB","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/kyb","href":"/api-reference/workforce/kyb/submit-kyb"},{"title":"Update KYB","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml patch /v1/businesses/{businessId}/kyb","href":"/api-reference/workforce/kyb/update-kyb"},{"title":"Generate KYB Link","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/kyb-link","href":"/api-reference/workforce/kyb/generate-kyb-link"}]},{"group":"Terms","pages":[{"title":"List Terms","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/terms","href":"/api-reference/workforce/terms/list-terms"},{"title":"List Business Terms","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/terms","href":"/api-reference/workforce/terms/list-business-terms"},{"title":"Accept Business Terms","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/terms","href":"/api-reference/workforce/terms/accept-business-terms"}]},{"group":"Entities","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/entities","href":"/api-reference/workforce/entities/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/entities","href":"/api-reference/workforce/entities/create"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/entities/{entityId}","href":"/api-reference/workforce/entities/get"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml patch /v1/entities/{entityId}","href":"/api-reference/workforce/entities/update"}]},{"group":"Sandbox","pages":[{"title":"Deposit","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/sandbox/business-deposits","href":"/api-reference/workforce/sandbox/deposit"},{"title":"Delete User","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/sandbox/users/{userId}","href":"/api-reference/workforce/sandbox/delete-user"},{"title":"Review KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/sandbox/users/{userId}/kyc/review","href":"/api-reference/workforce/sandbox/review-kyc"}]},{"group":"Invoices","pages":[{"title":"List Invoices","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/invoices","href":"/api-reference/workforce/invoices/list-invoices"},{"title":"Get Invoice","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/invoices/{invoiceId}","href":"/api-reference/workforce/invoices/get-invoice"},{"title":"Get Invoice URL","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/invoices/{invoiceId}/url","href":"/api-reference/workforce/invoices/get-invoice-url"},{"title":"Review Invoice","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/invoices/{invoiceId}/review","href":"/api-reference/workforce/invoices/review-invoice"},{"title":"Cancel Invoice","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/invoices/{invoiceId}/cancel","href":"/api-reference/workforce/invoices/cancel-invoice"}]},{"group":"Reimbursements","pages":[{"title":"List Reimbursements","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/reimbursements","href":"/api-reference/workforce/reimbursements/list-reimbursements"},{"title":"Create Reimbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/reimbursements","href":"/api-reference/workforce/reimbursements/create-reimbursement"},{"title":"Get Reimbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/reimbursements/{reimbursementId}","href":"/api-reference/workforce/reimbursements/get-reimbursement"},{"title":"Cancel Reimbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/reimbursements/{reimbursementId}","href":"/api-reference/workforce/reimbursements/cancel-reimbursement"},{"title":"Review (Approve or Reject) Reimbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/reimbursements/{reimbursementId}/review","href":"/api-reference/workforce/reimbursements/review-approve-or-reject-reimbursement"}]}]},{"group":"Tax API","pages":[{"group":"Tax Calculator","pages":[{"title":"Calculate Taxes","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml post /v1/tax/calculate","href":"/api-reference/tax/tax-calculator/calculate-taxes"},{"title":"List Required Additional Tax Fields by Country","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml get /v1/tax/fields","href":"/api-reference/tax/tax-calculator/list-required-additional-tax-fields-by-country"},{"title":"List Countries and Regions","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml get /v1/tax/locations","href":"/api-reference/tax/tax-calculator/list-countries-and-regions"},{"title":"Estimate Gross or Net Salary","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml post /v1/tax/estimate","href":"/api-reference/tax/tax-calculator/estimate-gross-or-net-salary"},{"title":"List Tax Ruleset Versions","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml get /v1/tax/versions","href":"/api-reference/tax/tax-calculator/list-tax-ruleset-versions"},{"title":"Get Tax Ruleset Changelog","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml get /v1/tax/changelog","href":"/api-reference/tax/tax-calculator/get-tax-ruleset-changelog"},{"title":"Validate Tax Fields","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml post /v1/tax/fields/validate","href":"/api-reference/tax/tax-calculator/validate-tax-fields"}]}]},{"group":"Statutory Compliance API","pages":[{"group":"Jurisdictions","pages":[{"title":"List supported jurisdictions","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/jurisdictions","href":"/api-reference/statutory/jurisdictions/list-supported-jurisdictions"},{"title":"Get jurisdiction details","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/jurisdictions/{country_code}","href":"/api-reference/statutory/jurisdictions/get-jurisdiction-details"},{"title":"List filing types for a jurisdiction","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/jurisdictions/{country_code}/filing-types","href":"/api-reference/statutory/jurisdictions/list-filing-types-for-a-jurisdiction"},{"title":"Get required fields for tax calculation and statutory filing","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/jurisdictions/{country_code}/required-fields","href":"/api-reference/statutory/jurisdictions/get-required-fields-for-tax-calculation-and-statutory-filing"}]},{"group":"Filings","pages":[{"title":"List filings","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/filings","href":"/api-reference/statutory/filings/list-filings"},{"title":"Create a filing","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings","href":"/api-reference/statutory/filings/create-a-filing"},{"title":"Create all filings for a period","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings/batch","href":"/api-reference/statutory/filings/create-all-filings-for-a-period"},{"title":"Get a filing","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/filings/{filing_id}","href":"/api-reference/statutory/filings/get-a-filing"},{"title":"Approve a filing for submission","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings/{filing_id}/approve","href":"/api-reference/statutory/filings/approve-a-filing-for-submission"},{"title":"Cancel a filing","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings/{filing_id}/cancel","href":"/api-reference/statutory/filings/cancel-a-filing"},{"title":"Amend a previously accepted filing","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings/{filing_id}/amend","href":"/api-reference/statutory/filings/amend-a-previously-accepted-filing"},{"title":"Download filing document","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/filings/{filing_id}/document","href":"/api-reference/statutory/filings/download-filing-document"},{"title":"Get compliance health summary","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/compliance/summary","href":"/api-reference/statutory/filings/get-compliance-health-summary"}]},{"group":"Remittances","pages":[{"title":"List remittances","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/remittances","href":"/api-reference/statutory/remittances/list-remittances"},{"title":"Create a remittance","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/remittances","href":"/api-reference/statutory/remittances/create-a-remittance"},{"title":"Get a remittance","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/remittances/{remittance_id}","href":"/api-reference/statutory/remittances/get-a-remittance"},{"title":"Download remittance receipt","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/remittances/{remittance_id}/receipt","href":"/api-reference/statutory/remittances/download-remittance-receipt"}]},{"group":"Requirements","pages":[{"title":"List outstanding requirements","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/requirements","href":"/api-reference/statutory/requirements/list-outstanding-requirements"}]},{"group":"Events","pages":[{"title":"List audit events","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/events","href":"/api-reference/statutory/events/list-audit-events"}]},{"group":"Statutory Fields","pages":[{"title":"Get person filing data","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/persons/{person_id}/fields/{country_code}","href":"/api-reference/statutory/statutory-fields/get-person-filing-data"},{"title":"Submit person filing fields","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml put /v1/statutory/persons/{person_id}/fields/{country_code}","href":"/api-reference/statutory/statutory-fields/submit-person-filing-fields"},{"title":"Get business filing data","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/businesses/{business_id}/fields/{country_code}","href":"/api-reference/statutory/statutory-fields/get-business-filing-data"},{"title":"Submit business filing fields","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml put /v1/statutory/businesses/{business_id}/fields/{country_code}","href":"/api-reference/statutory/statutory-fields/submit-business-filing-fields"}]}]}]},{"tab":"Resources","pages":[{"title":"Resources","href":"/resources/supported-countries"}]}]}]},"basePath":"","title":"Pagination - Cadana Developers","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":[],"chunks":[]}